[BETA] Create an action set.

View as Markdown

Enterprise feature

[BETA] This API is in beta state, which means it may change or be removed in the future.

Creates a new action set.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired

Request

createActionsSchema
namestringRequired
The name of the action set
actorIdintegerRequired>=1
The id of the service account that will execute the action
actionslist of objectsRequired
The list of actions to execute in sequential order when the action set is triggered
matchobjectRequired
Defines a matching rule for the signal that will trigger the action set
descriptionstring or nullOptional
The description of the action set
enabledbooleanOptionalDefaults to true
Whether this action set is enabled or not

Response headers

locationstring or null
The location of the newly created resource.

Response

The resource was successfully created.
idinteger>=1
The ID of the action set.
projectstring
The project that this action set belongs to.
createdAtstringformat: "date-time"
The date and time of when the action set was created.
createdByUserIdinteger
The ID of the user that created this action set.
namestring
The name of the action set
actorIdinteger>=1
The id of the service account that will execute the action
actionslist of objects
The list of actions to execute in sequential order when the action set is triggered.
matchobject
Defines a matching rule for the signal that will trigger the action set
descriptionstring or null
The description of the action set
enabledboolean or nullDefaults to true
Whether this action set is enabled or not

Errors